Vector BLF

Loading...
Searching...
No Matches
Vector::BLF::CompactSerialEvent Struct Referencefinal

`#include <CompactSerialEvent.h>`

## Public Member Functions
| CompactSerialEvent (const CompactSerialEvent &)=default
CompactSerialEvent & | operator= (const CompactSerialEvent &)=default
| CompactSerialEvent (CompactSerialEvent &&)=default
CompactSerialEvent & | operator= (CompactSerialEvent &&)=default
virtual void | read (AbstractFile &is)
virtual void | write (AbstractFile &os)
virtual uint32_t | calculateObjectSize () const

## Public Attributes
uint8_t | compactLength {}
std::array< uint8_t, 15 > | compactData {}

## Detailed Description

compact serial event

## Member Function Documentation

## ◆ calculateObjectSize()

uint32_t Vector::BLF::CompactSerialEvent::calculateObjectSize | ( |  | ) | const
| virtual

Calculates the objectSize

Returns
  object size

## ◆ read()

void Vector::BLF::CompactSerialEvent::read | ( | AbstractFile & | is | ) |
| virtual

Read the data of this object

Parameters

  is | input stream

## ◆ write()

void Vector::BLF::CompactSerialEvent::write | ( | AbstractFile & | os | ) |
| virtual

Write the data of this object

Parameters

  os | output stream

## Member Data Documentation

## ◆ compactData

std::array<uint8_t, 15> Vector::BLF::CompactSerialEvent::compactData {}

compact data

## ◆ compactLength

uint8_t Vector::BLF::CompactSerialEvent::compactLength {}

compact length

The documentation for this struct was generated from the following files:

- CompactSerialEvent.h
- CompactSerialEvent.cpp